package com.ruoyi.system.domain.projectV2;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 招商引资_领导批示对象 zsyz_ldps
 * 
 * @author ruoyi
 * @date 2023-02-26
 */
public class ZsyzLdps extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    private Long ids;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;


    /** 批示内容 */
    @Excel(name = "批示内容")
    private String psnr;

    /** 暂存批示内容 */
    @Excel(name = "暂存批示内容")
    private String zcpsnr;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 批示人id */
    private Long psnrId;

    /** 创建者 */
    private String psr;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cjsj;

    /** 更新者 */
    private String xgr;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date xgsj;


    /** 暂存还是保存 (1:暂存，2：保存)*/
    private String type;


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getIds() {
        return ids;
    }

    public void setIds(Long ids) {
        this.ids = ids;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }

    public Long getPsnrId() {
        return psnrId;
    }

    public void setPsnrId(Long psnrId) {
        this.psnrId = psnrId;
    }

    public void setPsnr(String psnr)
    {
        this.psnr = psnr;
    }

    public String getPsnr() 
    {
        return psnr;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public String getXmmc() {
        return xmmc;
    }

    public void setXmmc(String xmmc) {
        this.xmmc = xmmc;
    }

    public String getZcpsnr() {
        return zcpsnr;
    }

    public String getPsr() {
        return psr;
    }

    public Date getCjsj() {
        return cjsj;
    }

    public String getXgr() {
        return xgr;
    }

    public Date getXgsj() {
        return xgsj;
    }

    public void setZcpsnr(String zcpsnr) {
        this.zcpsnr = zcpsnr;
    }

    public void setPsr(String psr) {
        this.psr = psr;
    }

    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    public void setXgr(String xgr) {
        this.xgr = xgr;
    }

    public void setXgsj(Date xgsj) {
        this.xgsj = xgsj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("psnr", getPsnr())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
